<?php

// Path to PHP Social Stream main file
include( './social-stream/social-stream.php' );

// Replace with your Facebook page ID(s)
$facebook_ids = array(
	'80655071208',
	'131830210306895'
);

// Replace with your Twitter username(s)
$twitter_usernames = array(
    'mashable',
    '500px'
);

// Replace with your Instagram username(s)
$instagram_usernames = array(
    'self'
);

echo social_stream(
    array(
        'id' => '1',
        'type' => 'wall',
        'network' => array(
            'facebook' => array(
                'facebook_id_1' => $facebook_ids,
                'facebook_pagefeed' => 'posts'
            ),
            'twitter' => array(
                'twitter_id_1' => $twitter_usernames,
                'twitter_images' => 'small',
                'twitter_feeds' => ''
            ),
            'instagram' => array(
                'instagram_id_1' => $instagram_usernames
            )
        ),
        'theme' => 'sb-flat-light',
        'itemwidth' => 250,
        'results' => 30,
        'iframe' => 'media',
        'breakpoints' => array('4', '4', '3', '3', '2', '1', '1'), // Number of items (columns) shwoing on each row for different viewport sizes
        'filter_search' => true,
        'filters_order' => 'linkedin,facebook,twitter,instagram,google,pinterest',
        'display_ads' => true,
        'debuglog' => 1,
        'cache' => 360,
        'add_files' => true,
        'fixWidth' => 'block',
        'loadmore' => false
    )
);
?>