<?php
include( './social-stream/social-stream.php' );

$subtitle = 'Rotating Feed Demo 1';
include( 'header.php' );
?>
<div class="section">
    <h2 class="sub-header">Rotating Feed Demo 1 – Modern layout</h2>
    <div class="row">
        <div class="col-md-6">
        <h4>Default layout with light skin</h4>
        <br />
<?php
echo social_stream(
        array(
            'id' => '1',
            'type' => 'feed',
            'network' => array(
                'facebook' => array(
                    'facebook_id_1' => array(
                        '80655071208'
                    ),
                    'facebook_pagefeed' => 'posts'
                ),
                'twitter' => array(
                    'twitter_id_1' => array(
                        'mashable'
                    ),
                    'twitter_images' => 'small',
                    'twitter_feeds' => 'retweets,replies'
                ),
                'pinterest' => array(
                    'pinterest_id_1' => array(
                        '2013TopPins'
                    )
                ),
                'instagram' => array(
                    'instagram_id_2' => array(
                        'tuulavintage',
                        'blondabroad'
                    )
                )
            ),
            'theme' => 'sb-default-light',
            'width' => 280,
            'height' => 600,
            'results' => 30,
            'debuglog' => 0,
            'add_files' => true
        )
    );
?>
  		</div>
        <div class="col-md-6">
        <h4>Flat layout with light skin</h4>
        <br />
<?php
echo social_stream(
        array(
            'id' => '2',
            'type' => 'feed',
            'network' => array(
                'facebook' => array(
                    'facebook_id_1' => array(
                        '80655071208'
                    ),
                    'facebook_pagefeed' => 'posts'
                ),
                'twitter' => array(
                    'twitter_id_1' => array(
                        'mashable'
                    ),
                    'twitter_images' => 'small',
                    'twitter_feeds' => '',
                ),
                'google' => array(
                    'google_id_1' => array(
                        '115854344437995415484'
                    )
                ),
                'tumblr' => array(
                    'tumblr_id_1' => array(
                        'ghostphotographs'
                    )
                ),
                'flickr' => array(
                    'flickr_id_1' => array(
                        '46221135@N04'
                    )
                )
            ),
            'theme' => 'sb-flat-light',
            'width' => 280,
            'height' => 600,
            'results' => 30,
            'debuglog' => 0,
            'add_files' => true
        )
    );
?>
        </div>
    </div>
</div>
<?php include( 'footer.php' ); ?>